=== core/src/corelayers/humanity-icons/CMakeLists.txt ===
QUTIM_ADD_ARTWORK_DIR(qutim)
