=== core/src/corelayers/localization/CMakeLists.txt ===
qutim_add_plugin( localization
	SUBPLUGIN
	SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}
	DISPLAY_NAME "Localization"
	DESCRIPTION "Default qutIM localization engine"
)
