=== plugins/macintegration/src/macidle/CMakeLists.txt ===
find_library(COCOA_LIBRARIES Cocoa)

qutim_add_plugin(macidle
	EXTENSION
	EXTENSION_CLASS MacIntegration::MacIdle
	EXTENSION_HEADER ${CMAKE_CURRENT_SOURCE_DIR}/macidle.h
	SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}
	DISPLAY_NAME "IdleManager"
	DESCRIPTION "Mac OS X idle manager"
	LINK_LIBRARIES ${COCOA_LIBRARIES}
)
