=== debian/changelog ===
qutim (0.2.80-maemo-7) fremantle; urgency=low

  * Bugfixes

 -- Eugene Degtyarev <degtep@gmail.com>  Tue, 16 Aug 2011 21:17:44 +0600
