=== plugins/antispam/CMakeLists.txt ===
qutim_add_plugin( antispam
	DISPLAY_NAME "Antispam"
	DESCRIPTION "Blocks messages from unknown contacts by question-answer pair"
)
