=== plugins/macintegration/src/CMakeLists.txt ===
qutim_add_extensions_dir(.)
