=== core/src/corelayers/adiumchat/chatforms/CMakeLists.txt ===
qutim_add_extensions_dir(.)
