=== debian/changelog ===
qutim (0.2.80-maemo-8) fremantle; urgency=low

  * Bugfix with open conferences window

 -- Eugene Degtyarev <degtep@gmail.com>  Tue, 16 Aug 2011 22:30:17 +0600
