=== debian/changelog ===
qutim (0.2.80-maemo-9) fremantle; urgency=low

  * Jabber bugfixes
  * Relocated maemo specific icon to another plugin
  * Refactoring maemo idle detector
  * Add missing icon
  * Got QML chat working

 -- Eugene Degtyarev <degtep@gmail.com>  Wed, 17 Aug 2011 16:49:50 +0600
