## qutim 0.2.80-maemo-10

=== plugins/maemo5integration/maemo5settings/CMakeLists.txt ===
qutim_add_plugin( maemo5settings
	EXTENSION
	EXTENSION_HEADER ${CMAKE_CURRENT_SOURCE_DIR}/maemo5settings.h
	EXTENSION_CLASS Maemo5Settings
	SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}
	DISPLAY_NAME "Maemo 5 Settings"
)
