=== protocols/jabber/jreen/CMakeLists.txt ===
--- 
+++ 
@@ -24,7 +24,7 @@
 SET(QT_MIN_VERSION "4.6.0")
 
 # Search for QT4
-FIND_PACKAGE(Qt4 COMPONENTS QtCore QtNetwork QtGui REQUIRED)
+FIND_PACKAGE(Qt4 COMPONENTS QtCore QtNetwork REQUIRED)
 INCLUDE(${QT_USE_FILE})
 INCLUDE(jreenMacros)
 FIND_PACKAGE(QCA2 REQUIRED)
