=== debian/changelog ===
qutim (0.2.80-maemo-10) fremantle; urgency=low

  * Add maemo specific settings
  * Got bearer manager working and fix settings

 -- Eugene Degtyarev <degtep@gmail.com>  Thu, 18 Aug 2011 16:04:07 +0600
