## qutim 0.2.80-maemo-11

=== debian/changelog ===
qutim (0.2.80-maemo-11) fremantle; urgency=low

  * Fix power consumtion
  * Minor bugfixes

 -- Eugene Degtyarev <degtep@gmail.com>  Thu, 18 Aug 2011 20:46:51 +0600
