=== plugins/phononsound/CMakeLists.txt ===
if(NOT DEFINED ${PHONONSOUND_OFF})
	find_package( Phonon )

	IF (NOT DEFINED PHONON_FOUND OR (NOT PHONON_LIBRARY OR NOT PHONON_INCLUDE_DIR))
		if( QT_PHONON_INCLUDE_DIR AND QT_PHONON_LIBRARY )
			set( PHONON_LIBRARIES "${QT_PHONON_LIBRARY}" )
			set( PHONON_INCLUDES "${QT_PHONON_INCLUDE_DIR}" )
		elseif( PHONON_INCLUDE_DIR AND PHONON_LIBRARY )
			set( PHONON_LIBRARIES "${PHONON_LIBRARY}" )
			set( PHONON_INCLUDES "${PHONON_INCLUDE_DIR}" )
		else( PHONON_INCLUDE_DIR AND PHONON_LIBRARY )
			message( "PHONON not found. Can't build phononsound" )
			return()
		endif()
	ENDIF()
endif()

qutim_add_plugin( phononsound
	DISPLAY_NAME "Phonon sound engine"
	DESCRIPTION "Sound engine based on KDE sound engine,"
	LINK_LIBRARIES ${PHONON_LIBRARIES}
	INCLUDE_DIRS ${PHONON_INCLUDES}
)
