=== plugins/macintegration/src/macgrowl/CMakeLists.txt ===
find_library(GROWL_LIBRARIES Growl)

qutim_add_plugin(macgrowl
	EXTENSION
	EXTENSION_CLASS GrowlBackend
	EXTENSION_HEADER ${CMAKE_CURRENT_SOURCE_DIR}/growlbackend.h
	SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}
	DISPLAY_NAME "Growl notifications"
	DESCRIPTION "Default Mac Os X Notifications"
	ICON "growl"
	INCLUDE_DIRS ${GROWL_LIBRARIES}/Headers
	LINK_LIBRARIES ${GROWL_LIBRARIES} ${COCOA_LIBRARIES}
)
