=== debian/changelog ===
qutim (0.2.80-maemo-12) fremantle; urgency=low

  * Fix second big mistake with power consumtion

 -- Eugene Degtyarev <degtep@gmail.com>  Fri, 19 Aug 2011 10:21:47 +0600
